extends Scene


func _on_bridge_over_stream_interacted() -> void:
	$kq4_021_bridge_over_stream.default_script(self)


func _on_fountain_pool_interacted() -> void:
	$kq4_003_fountain_pool.default_script(self)


func _on_mine_entrance_interacted() -> void:
	$kq4_028_mine_entrance.default_script(self)


func _on_river_meadow_interacted() -> void:
	$kq4_026_river_meadow.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("You are wandering through a thick wood. You hear birds chirping from the many trees.")
	).build(self, "_on_script_complete"))


func _on_forest_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("Tall trees surround the path on both sides. Sunlight filters through the canopy above.")
	).build(self, "_on_script_complete"))
